tableMaintenanceRuns
curl --request GET \
--url https://api.askparable.com/api/catalog/table-maintenance-runs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.askparable.com/api/catalog/table-maintenance-runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.askparable.com/api/catalog/table-maintenance-runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.askparable.com/api/catalog/table-maintenance-runs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"runs": [
{
"action": "NONE",
"bytesAfter": 123,
"bytesBefore": 123,
"capturedAt": "<string>",
"durationMs": 123,
"filesAfter": 123,
"filesBefore": 123,
"runId": "<string>",
"dataContractId": "<string>",
"skippedReason": "DISABLED",
"tapContractId": "<string>",
"vacuumRetentionHours": 123,
"zOrderColumns": [
"<string>"
]
}
],
"runsVersion": "<string>",
"tenantId": "<string>"
},
"meta": {
"requestId": "<string>",
"totalCount": 123
},
"links": {
"first": "<string>",
"last": "<string>",
"next": "<string>",
"prev": "<string>"
}
}{
"error": "<string>"
}{
"error": "<string>"
}tableMaintenanceRuns
Maintenance-run log for the workspace’s catalog. Admin-only because it surfaces internal Delta-maintenance operations run by services/provider-transformations queue jobs through parable-dataplane-quality-rs.
GET
/
api
/
catalog
/
table-maintenance-runs
tableMaintenanceRuns
curl --request GET \
--url https://api.askparable.com/api/catalog/table-maintenance-runs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.askparable.com/api/catalog/table-maintenance-runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.askparable.com/api/catalog/table-maintenance-runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.askparable.com/api/catalog/table-maintenance-runs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"runs": [
{
"action": "NONE",
"bytesAfter": 123,
"bytesBefore": 123,
"capturedAt": "<string>",
"durationMs": 123,
"filesAfter": 123,
"filesBefore": 123,
"runId": "<string>",
"dataContractId": "<string>",
"skippedReason": "DISABLED",
"tapContractId": "<string>",
"vacuumRetentionHours": 123,
"zOrderColumns": [
"<string>"
]
}
],
"runsVersion": "<string>",
"tenantId": "<string>"
},
"meta": {
"requestId": "<string>",
"totalCount": 123
},
"links": {
"first": "<string>",
"last": "<string>",
"next": "<string>",
"prev": "<string>"
}
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Workspace slug. Overrides subdomain-based workspace resolution when provided.
Example:
"acme"
Optional request correlation ID echoed back in the response.
Example:
"550e8400-e29b-41d4-a716-446655440000"